Skip to main content
GET
/
v1
/
shopify
/
appstore
/
category
/
{handle}
Get category detail and app listing
curl --request GET \
  --url https://api.scoutlayer.io/v1/shopify/appstore/category/{handle}
{
  "name": "<string>",
  "description": "<string>",
  "appCount": 123,
  "apps": [
    {
      "name": "<string>",
      "url": "<string>",
      "isSponsored": true,
      "isBuiltForShopify": true,
      "position": 123,
      "handle": "<string>"
    }
  ],
  "pagination": {
    "hasNextPage": true,
    "totalPages": 123,
    "currentPage": 123
  },
  "breadcrumbs": [
    {
      "name": "<string>",
      "url": "<string>",
      "handle": "<string>",
      "parentHandle": "<string>"
    }
  ],
  "subCategories": [
    "<string>"
  ]
}

Path Parameters

handle
string
required

Category handle slug

Example:

"marketing"

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
Example:

1

Response

Category detail

name
string
required
description
string
required
appCount
number
required
apps
object[]
required
pagination
object
required
pageType
enum<string>
required
Available options:
topic,
secondary,
tertiary
breadcrumbs
object[]
required
subCategories
string[]
required